%global _install_path /usr/share/vosk/language/eng

Name:           vosk-cli-lang-eng
Version:        0.15
Release:        1%{?dist}
Summary:        Language model for Vosk.

License:        Apache-2.0
URL:            alphacephei.com/vosk/models/

BuildRequires:  unzip

%global _description %{expand:
This is language model for Vosk.

Vosk is an offline open source speech recognition toolkit. It enables speech
recognition models for 17 languages and dialects - English, Indian English,
German, French, Spanish, Portuguese, Chinese, Russian, Turkish, Vietnamese,
Italian, Dutch, Catalan, Arabic, Greek, Farsi, Filipino.
}

BuildRequires:  wget
BuildRequires:  unzip

%description %_description

%prep
wget -O eng.zip http://alphacephei.com/vosk/models/vosk-model-small-en-us-0.15.zip
unzip eng.zip

%build
# nothing to do
# we download the language model and move it to the desired directory

%install
mkdir -p %{buildroot}/%{_install_path}
mv -T vosk-model-small-en-us-0.15 %{buildroot}/%{_install_path}

%clean
rm -rf %{buildroot}

%files
%{_install_path}

%doc %{_install_path}/README
